import React from 'react';
import styles from './styles.less';

const itemWidth = 20;
const itemSpace = 5;

export default function Detail(props) {
    let model = null;
    const value = props.formatter ? props.formatter(props.value) : props.value;
    let themeValue = [];
    if (Array.isArray(value)) {
        themeValue = value.map((item) => {
            return {
                ...item,
            };
        });
    }
    //根据宽度计算显示个数, 临时使用
    let len = Math.floor((props.width || 200 - 40) / (itemWidth + itemSpace));
    return (
        <div className={styles.fileList}>
            {themeValue.slice(0, len).map((item, index) => (
                <img
                    className={styles.img}
                    key={item.value + index}
                    src={item.thumbUrl}
                    width={itemWidth}
                    style={{ marginRight: itemSpace }}
                />
            ))}
            {themeValue.length > len ? <span className={styles.moreBtn}>{themeValue.length - len}+</span> : null}
        </div>
    );
}
